Debian Bug report logs - #588205
client throws exception with libnotify 0.5.0

version graph

Package: libnotify1; Maintainer for libnotify1 is Andre Filipe de Assuncao e Brito <decko@noisemakers.org>;

Reported by: Yves-Alexis Perez <corsac@debian.org>

Date: Tue, 6 Jul 2010 05:57:02 UTC

Severity: grave

Tags: jessie, sid, squeeze, squeeze-ignore, wheezy

Merged with 588276

Fixed in version 0.7.0-2

Done: Laurent Bigonville <bigon@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Tue, 06 Jul 2010 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
New Bug report received and forwarded. Copy sent to David Paleino <dapal@debian.org>. (Tue, 06 Jul 2010 05:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wicd-gtk: wicd-client can't connect to the server
Date: Tue, 06 Jul 2010 07:51:36 +0200
Package: wicd-gtk
Version: 1.7.0+ds1-5
Severity: normal

Hey,

I noticed yesterday that my wicd-client couldn't connect to its server.
When trying to run it from command line, I see:

----
corsac@hidalgo: wicd-client
Has notifications support True
Loading...
Connecting to daemon...
Connected.
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/wicd-client.py", line 1034, in <module>
    main(sys.argv)
  File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/wicd/gtk/wicd-client.py", line 1006, in main
    tray_icon = TrayIcon(animate, displaytray=display_app)
  File "/usr/share/wicd/gtk/wicd-client.py", line 139, in __init__
    self.icon_info = self.TrayConnectionInfo(self, self.tr, animate)
  File "/usr/share/wicd/gtk/wicd-client.py", line 198, in __init__
    self.update_tray_icon()
  File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/wicd/gtk/wicd-client.py", line 349, in update_tray_icon
    self.set_wireless_state(info)
  File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/wicd/gtk/wicd-client.py", line 289, in set_wireless_state
    'network-wireless')
  File "/usr/share/wicd/gtk/wicd-client.py", line 233, in _show_notification
    self._last_bubble.show()
glib.GError: Unable to connect to server
----

wicd-curses connects fine, so wicd server is ok. I'm not exactly sure what
happens there, if you need more info, please ask.

Cheers,
--
Yves-Alexis

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wicd-gtk depends on:
ii  python                       2.6.5-5     An interactive high-level object-o
ii  python-glade2                2.17.0-2    GTK+ bindings: Glade support
ii  python-gtk2                  2.17.0-2    Python bindings for the GTK+ widge
ii  wicd-daemon                  1.7.0+ds1-5 wired and wireless network manager

Versions of packages wicd-gtk recommends:
ii  gksu                          2.0.2-3    graphical frontend to su
ii  ktsuss                        1.4-1      GTK+ wrapper around su
ii  python-notify                 0.1.1-2+b2 Python bindings for libnotify
ii  sudo                          1.7.2p7-1  Provide limited super user privile

wicd-gtk suggests no packages.

Versions of packages wicd depends on:
ii  wicd-daemon                  1.7.0+ds1-5 wired and wireless network manager

Versions of packages wicd-curses depends on:
ii  python                       2.6.5-5     An interactive high-level object-o
ii  python-urwid                 0.9.9.1-1   curses-based UI/widget library for
ii  wicd-daemon                  1.7.0+ds1-5 wired and wireless network manager

Versions of packages wicd-daemon depends on:
ii  adduser                     3.112        add and remove users and groups
ii  dbus                        1.2.24-1     simple interprocess messaging syst
ii  debconf [debconf-2.0]       1.5.32       Debian configuration management sy
ii  dhcp3-client                3.1.3-2      DHCP client
ii  ethtool                     1:2.6.34-2   display or change Ethernet device 
ii  iproute                     20100519-2   networking and traffic control too
ii  iputils-ping                3:20100418-1 Tools to test the reachability of 
ii  lsb-base                    3.2-23.1     Linux Standard Base 3.2 init scrip
ii  net-tools                   1.60-23      The NET-3 networking toolkit
ii  psmisc                      22.11-1      utilities that use the proc file s
ii  python                      2.6.5-5      An interactive high-level object-o
ii  python-dbus                 0.83.1-1     simple interprocess messaging syst
ii  python-gobject              2.21.1-2     Python bindings for the GObject li
ii  python-iniparse             0.3.2-1      Module to access and modify config
ii  python-wicd                 1.7.0+ds1-5  wired and wireless network manager
ii  wireless-tools              30~pre9-4    Tools for manipulating Linux Wirel
ii  wpasupplicant               0.6.10-2     client support for WPA and WPA2 (I

Versions of packages python-wicd depends on:
ii  python                        2.6.5-5    An interactive high-level object-o
ii  python-support                1.0.9      automated rebuilding support for P

-- debconf information:
* wicd/users: corsac
* wicd/users: corsac
* wicd/notice:




Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Tue, 06 Jul 2010 07:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Tue, 06 Jul 2010 07:15:09 GMT) Full text and rfc822 format available.

Message #10 received at 588205@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Tue, 6 Jul 2010 09:11:03 +0200
[Message part 1 (text/plain, inline)]
On Tue, 06 Jul 2010 07:51:36 +0200, Yves-Alexis Perez wrote:

> Package: wicd-gtk
> Version: 1.7.0+ds1-5
> Severity: normal
> 
> Hey,

Hello,

> ----
> corsac@hidalgo: wicd-client
> Has notifications support True
> Loading...
> Connecting to daemon...
> Connected.
> Traceback (most recent call last):
>   File "/usr/share/wicd/gtk/wicd-client.py", line 1034, in <module>
>     main(sys.argv)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
>     return func(*args, **kwargs)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 1006, in main
>     tray_icon = TrayIcon(animate, displaytray=display_app)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 139, in __init__
>     self.icon_info = self.TrayConnectionInfo(self, self.tr, animate)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 198, in __init__
>     self.update_tray_icon()
>   File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
>     return func(*args, **kwargs)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 349, in update_tray_icon
>     self.set_wireless_state(info)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
>     return func(*args, **kwargs)
>   File "/usr/share/wicd/gtk/wicd-client.py", line 289, in set_wireless_state
>     'network-wireless')
>   File "/usr/share/wicd/gtk/wicd-client.py", line 233, in _show_notification
>     self._last_bubble.show()
> glib.GError: Unable to connect to server
> ----
> 
> wicd-curses connects fine, so wicd server is ok. I'm not exactly sure what
> happens there, if you need more info, please ask.

To exclude DBus issues, would you please run:

$ dbus-send --print-reply --system --dest=org.wicd.daemon /org/wicd/daemon \
> org.wicd.daemon.Hello

? I don't believe it's DBus-related, since wicd-curses works fine, but better
safe than sorry :)

Another path of investigation, the most probable one, is some issue in
python-notify/libnotify.
I currently don't have a stable DSL connection -- I'm on dialup -- this is why
I haven't upgraded my sid (yet), and I still have libnotify 0.4.5. I see that
sid has 0.5.0, so that's why it still works here, but not for you.

Just to be sure, what happens if you downgrade libnotify? snapshot.d.o has
0.4.5-1, just to check. :)

Thank you for reporting this bug,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Tue, 06 Jul 2010 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Tue, 06 Jul 2010 11:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 588205@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: dapal@debian.org
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Tue, 06 Jul 2010 13:06:48 +0200
On 06/07/2010 09:11, David Paleino wrote:
> On Tue, 06 Jul 2010 07:51:36 +0200, Yves-Alexis Perez wrote:
> 
>> Package: wicd-gtk
>> Version: 1.7.0+ds1-5
>> Severity: normal
>>
>> Hey,
> 
> Hello,
> 
>> ----
>> corsac@hidalgo: wicd-client
>> Has notifications support True
>> Loading...
>> Connecting to daemon...
>> Connected.
>> Traceback (most recent call last):
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 1034, in <module>
>>     main(sys.argv)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
>>     return func(*args, **kwargs)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 1006, in main
>>     tray_icon = TrayIcon(animate, displaytray=display_app)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 139, in __init__
>>     self.icon_info = self.TrayConnectionInfo(self, self.tr, animate)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 198, in __init__
>>     self.update_tray_icon()
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
>>     return func(*args, **kwargs)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 349, in update_tray_icon
>>     self.set_wireless_state(info)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 91, in wrapper
>>     return func(*args, **kwargs)
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 289, in set_wireless_state
>>     'network-wireless')
>>   File "/usr/share/wicd/gtk/wicd-client.py", line 233, in _show_notification
>>     self._last_bubble.show()
>> glib.GError: Unable to connect to server
>> ----
>>
>> wicd-curses connects fine, so wicd server is ok. I'm not exactly sure what
>> happens there, if you need more info, please ask.
> 
> To exclude DBus issues, would you please run:
> 
> $ dbus-send --print-reply --system --dest=org.wicd.daemon /org/wicd/daemon \
>> org.wicd.daemon.Hello

corsac@hidalgo: dbus-send --print-reply --system --dest=org.wicd.daemon
/org/wicd/daemon org.wicd.daemon.Hello
method return sender=:1.960 -> dest=:1.979 reply_serial=2
   string "1.7.0"

So I guess it works fine.
> 
> ? I don't believe it's DBus-related, since wicd-curses works fine, but better
> safe than sorry :)
> 
> Another path of investigation, the most probable one, is some issue in
> python-notify/libnotify.
> I currently don't have a stable DSL connection -- I'm on dialup -- this is why
> I haven't upgraded my sid (yet), and I still have libnotify 0.4.5. I see that
> sid has 0.5.0, so that's why it still works here, but not for you.
> 
> Just to be sure, what happens if you downgrade libnotify? snapshot.d.o has
> 0.4.5-1, just to check. :)
> 
It seems to fix the problem yes, so it might need porting. Should the
severity be raised?

Cheers,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Tue, 06 Jul 2010 14:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Tue, 06 Jul 2010 14:36:06 GMT) Full text and rfc822 format available.

Message #20 received at 588205@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Tue, 6 Jul 2010 16:32:38 +0200
[Message part 1 (text/plain, inline)]
retitle 588205 client throws exception with libnotify 0.5.0
severity 588205 important
thanks

On Tue, 06 Jul 2010 13:06:48 +0200, Yves-Alexis Perez wrote:

> On 06/07/2010 09:11, David Paleino wrote:
> > Another path of investigation, the most probable one, is some issue in
> > python-notify/libnotify.
> > I currently don't have a stable DSL connection -- I'm on dialup -- this is
> > why I haven't upgraded my sid (yet), and I still have libnotify 0.4.5. I
> > see that sid has 0.5.0, so that's why it still works here, but not for you.
> > 
> > Just to be sure, what happens if you downgrade libnotify? snapshot.d.o has
> > 0.4.5-1, just to check. :)
> 
> It seems to fix the problem yes, so it might need porting. Should the
> severity be raised?

I believe so, but I'm not raising that to RC yet. This is because I believe it
could be pynotify's fault (source package notify-python).
However, I need to make a small example showing the bug, before claiming that.

And, maybe, just wrap the notification code inside a try..except, to handle it
more gracefully (notifications aren't essential for the functioning of the
client).

Have a nice day,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'client throws exception with libnotify 0.5.0' from 'wicd-gtk: wicd-client can't connect to the server' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 06 Jul 2010 14:36:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 06 Jul 2010 14:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Tue, 06 Jul 2010 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Tue, 06 Jul 2010 21:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 588205@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Tue, 6 Jul 2010 23:27:17 +0200
[Message part 1 (text/plain, inline)]
tags 588205 unreproducible
thanks

Here I am again,

On Tue, 6 Jul 2010 16:32:38 +0200, David Paleino wrote:
> On Tue, 06 Jul 2010 13:06:48 +0200, Yves-Alexis Perez wrote:
> > On 06/07/2010 09:11, David Paleino wrote:
> > > Just to be sure, what happens if you downgrade libnotify? snapshot.d.o has
> > > 0.4.5-1, just to check. :)
> > 
> > It seems to fix the problem yes, so it might need porting. Should the
> > severity be raised?
> 
> I believe so, but I'm not raising that to RC yet. This is because I believe it
> could be pynotify's fault (source package notify-python).
> However, I need to make a small example showing the bug, before claiming that.

I'm attaching a small example. It works here.

Also, I have upgraded libnotify1, python-notify and notification-daemon to the
latest versions in sid, and I'm not able to reproduce your bug. :(

Thank you,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[test.py (text/x-python, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) unreproducible. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Tue, 06 Jul 2010 21:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Wed, 07 Jul 2010 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 07 Jul 2010 05:15:03 GMT) Full text and rfc822 format available.

Message #36 received at 588205@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: dapal@debian.org
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Wed, 07 Jul 2010 07:09:41 +0200
[Message part 1 (text/plain, inline)]
On mar., 2010-07-06 at 23:27 +0200, David Paleino wrote:
> > I believe so, but I'm not raising that to RC yet. This is because I
> believe it
> > could be pynotify's fault (source package notify-python).
> > However, I need to make a small example showing the bug, before
> claiming that.
> 
> I'm attaching a small example. It works here.
> 
> Also, I have upgraded libnotify1, python-notify and
> notification-daemon to the
> latest versions in sid, and I'm not able to reproduce your bug. :(

It /might/ be related to #588272 / #588276. I'm using xfce4-notifyd
which doesn't support notification specs 1.1, and it seems that
libnotify1 doesn't support 1.0 anymore. I guess you're using the GNOME
notification daemon which I guess supports the 1.1 version.

The git version of xfce4-notifyd does support 1.1 spec and wicd-client
runs fine so yes, in any case, the bug is not in wicd. It's either in
xfce4-notifyd, in python-notify or in libnotify.

I'm still puzzled by the fact that it *fails* with a 1.0 daemon.
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Wed, 07 Jul 2010 07:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 07 Jul 2010 07:09:05 GMT) Full text and rfc822 format available.

Message #41 received at 588205@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Wed, 7 Jul 2010 09:02:32 +0200
[Message part 1 (text/plain, inline)]
On Wed, 07 Jul 2010 07:09:41 +0200, Yves-Alexis Perez wrote:

> On mar., 2010-07-06 at 23:27 +0200, David Paleino wrote:
> > > I believe so, but I'm not raising that to RC yet. This is because I
> > believe it
> > > could be pynotify's fault (source package notify-python).
> > > However, I need to make a small example showing the bug, before
> > claiming that.
> > 
> > I'm attaching a small example. It works here.
> > 
> > Also, I have upgraded libnotify1, python-notify and
> > notification-daemon to the
> > latest versions in sid, and I'm not able to reproduce your bug. :(
> 
> It /might/ be related to #588272 / #588276.

Yup, seems so.

> I'm using xfce4-notifyd which doesn't support notification specs 1.1, and it
> seems that libnotify1 doesn't support 1.0 anymore. I guess you're using the
> GNOME notification daemon which I guess supports the 1.1 version.

Yes, I am using GNOME-Shell.

$ dbus-send --print-reply
--dest=org.freedesktop.Notifications /org/freedesktop/Notifications
org.freedesktop.Notifications.GetServerInformation
method return sender=:1.12 -> dest=:1.1154 reply_serial=2
   string "GNOME Shell"
   string "GNOME"
   string "0.1"
   string "1.0"
$

It seems to be a 1.0 daemon...

> The git version of xfce4-notifyd does support 1.1 spec and wicd-client
> runs fine so yes, in any case, the bug is not in wicd. It's either in
> xfce4-notifyd, in python-notify or in libnotify.
> 
> I'm still puzzled by the fact that it *fails* with a 1.0 daemon.

If you're ok, can we merge this bug with #588276 ? :)

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Paleino <dapal@debian.org>:
Bug#588205; Package wicd-gtk. (Wed, 07 Jul 2010 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to David Paleino <dapal@debian.org>. (Wed, 07 Jul 2010 08:24:05 GMT) Full text and rfc822 format available.

Message #46 received at 588205@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: dapal@debian.org
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Wed, 07 Jul 2010 10:21:47 +0200
On 07/07/2010 09:02, David Paleino wrote:
> On Wed, 07 Jul 2010 07:09:41 +0200, Yves-Alexis Perez wrote:
> 
>> On mar., 2010-07-06 at 23:27 +0200, David Paleino wrote:
>>>> I believe so, but I'm not raising that to RC yet. This is because I
>>> believe it
>>>> could be pynotify's fault (source package notify-python).
>>>> However, I need to make a small example showing the bug, before
>>> claiming that.
>>>
>>> I'm attaching a small example. It works here.
>>>
>>> Also, I have upgraded libnotify1, python-notify and
>>> notification-daemon to the
>>> latest versions in sid, and I'm not able to reproduce your bug. :(
>>
>> It /might/ be related to #588272 / #588276.
> 
> Yup, seems so.
> 
>> I'm using xfce4-notifyd which doesn't support notification specs 1.1, and it
>> seems that libnotify1 doesn't support 1.0 anymore. I guess you're using the
>> GNOME notification daemon which I guess supports the 1.1 version.
> 
> Yes, I am using GNOME-Shell.
> 
> $ dbus-send --print-reply
> --dest=org.freedesktop.Notifications /org/freedesktop/Notifications
> org.freedesktop.Notifications.GetServerInformation
> method return sender=:1.12 -> dest=:1.1154 reply_serial=2
>    string "GNOME Shell"
>    string "GNOME"
>    string "0.1"
>    string "1.0"
> $
> 
> It seems to be a 1.0 daemon...

While there is no 1.0 spec :/
> 
>> The git version of xfce4-notifyd does support 1.1 spec and wicd-client
>> runs fine so yes, in any case, the bug is not in wicd. It's either in
>> xfce4-notifyd, in python-notify or in libnotify.
>>
>> I'm still puzzled by the fact that it *fails* with a 1.0 daemon.
> 
> If you're ok, can we merge this bug with #588276 ? :)

Yeah, I guess so.

It'd still be nice if wicd could start even without notification though
(especially since it's not a required function). So maybe still keep
this bug, but retitle it and ask upstream about the try/except stuff.

Cheers,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#588205; Package wicd-gtk. (Wed, 07 Jul 2010 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <dapal@debian.org>:
Extra info received and forwarded to list. (Wed, 07 Jul 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 588205@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 588205@bugs.debian.org
Subject: Re: Bug#588205: wicd-gtk: wicd-client can't connect to the server
Date: Wed, 7 Jul 2010 11:44:59 +0200
[Message part 1 (text/plain, inline)]
clone 588205 -1
retitle -1 handle exceptions during notifications more gracefully
forcemerge 569755 -1
tags 569755 = confirmed
forcemerge 588276 588205
thanks

On Wed, 07 Jul 2010 10:21:47 +0200, Yves-Alexis Perez wrote:

> On 07/07/2010 09:02, David Paleino wrote:

> > If you're ok, can we merge this bug with #588276 ? :)
> 
> Yeah, I guess so.

Done.

> It'd still be nice if wicd could start even without notification though
> (especially since it's not a required function). So maybe still keep
> this bug, but retitle it and ask upstream about the try/except stuff.

Okay, done.

Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Bug 588205 cloned as bug 588311. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 09:51:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wicd-gtk' to 'libnotify1'. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 09:57:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions wicd/1.7.0+ds1-5. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 09:57:07 GMT) Full text and rfc822 format available.

Forcibly Merged 588205 588276. Request was from David Paleino <dapal@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 09:57:07 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 08 Jul 2010 08:36:04 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from "Marc Dequènes (Duck)" <duck@duckcorp.org> to control@bugs.debian.org. (Fri, 10 Sep 2010 12:21:11 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 0.7.0-2. Request was from Marc Dequènes (Duck) <Duck@DuckCorp.org> to control@bugs.debian.org. (Thu, 02 Dec 2010 10:51:05 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 23:33:05 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:20 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Yves-Alexis Perez <corsac@debian.org> Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 10 Aug 2011 07:51:06 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:08:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.